Package org.bukkit.entity

# Class Entity.Spigot

java.lang.Object
org.bukkit.command.CommandSender.Spigot
org.bukkit.entity.Entity.Spigot

Direct Known Subclasses:
  `LightningStrike.Spigot`, `Player.Spigot`

Enclosing interface:
  Entity

public static class Entity.Spigot extends CommandSender.Spigot

## Constructor Summary

Constructors
Constructor
Description
`Spigot()`

## Method Summary

### Methods inherited from class org.bukkit.command.CommandSender.Spigot

`sendMessage, sendMessage, sendMessage, sendMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spigot

public Spigot()